Package twisted :: Package web :: Package woven :: Module model :: Class DeferredWrapper

[show private | hide private]
[frames | no frames]

## Class DeferredWrapper

    Model --+
            |
      Wrapper --+
                |
               DeferredWrapper

Method Summary
| `__init__(self, orig)` (inherited from `Wrapper`)
| `__getstate__(self)` (inherited from `Model`)
| `__repr__(self)` (inherited from `Wrapper`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `dataWillChange(self)` (inherited from `Wrapper`)
| `getData(self, request)` (inherited from `Model`)
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model. (inherited from `Model`)
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain. (inherited from `Model`)
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again. (inherited from `Model`)
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, request, data)`
| `setGetter(self, getter)` (inherited from `Model`)
| `setSetter(self, setter)` (inherited from `Model`)
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model. (inherited from `Model`)
| ``submodelCheck`(self, request, name)` Check if a submodel name is allowed. (inherited from `Model`)
| `submodelFactory(self, request, name)` (inherited from `Model`)

Generated by Epydoc 1.1 on Thu May 8 13:17:05 2003 | http://epydoc.sf.net